## islamic-menus 1.0.2

=== Makefile ===

INSTALL=install

SOURCES=$(wildcard *.directory.in)
TARGETS=${SOURCES:.in=}

all: $(TARGETS)

pos:
	make -C po all

install: all
	$(INSTALL) -d $(DESTDIR)/etc/xdg/menus/applications-merged/
	$(INSTALL) -d $(DESTDIR)/usr/share/desktop-directories/
	$(INSTALL) -m 0644 islamic.menu $(DESTDIR)/etc/xdg/menus/applications-merged/
	$(INSTALL) -m 0644 *.directory  $(DESTDIR)/usr/share/desktop-directories
	# Install icons
	$(INSTALL) -d $(DESTDIR)/usr/share/icons/hicolor/scalable/categories
	$(INSTALL) -m 0644 icons/*.svg $(DESTDIR)/usr/share/icons/hicolor/scalable/categories/

%.directory: %.directory.in pos
	intltool-merge -d po $< $@

clean:
	rm -f $(TARGETS)

## islamic-menus 1.0.3

=== Makefile ===
DESTDIR?=/
sysconfdir?=$(DESTDIR)/etc
datadir?=$(DESTDIR)/usr/share
INSTALL=install

SOURCES=$(wildcard *.directory.in)
TARGETS=${SOURCES:.in=}

all: $(TARGETS)

pos:
	make -C po all

install: all
	$(INSTALL) -d $(sysconfdir)/xdg/menus/applications-merged/
	$(INSTALL) -m 0644 islamic.menu $(sysconfdir)/xdg/menus/applications-merged/
	$(INSTALL) -d $(datadir)/desktop-directories/
	$(INSTALL) -m 0644 *.directory  $(datadir)/desktop-directories
	# Install icons
	$(INSTALL) -d $(datadir)/icons/hicolor/scalable/categories
	$(INSTALL) -m 0644 icons/*.svg $(datadir)/icons/hicolor/scalable/categories/

%.directory: %.directory.in pos
	intltool-merge -d po $< $@

clean:
	rm -f $(TARGETS)

=== debian/changelog ===
islamic-menus (1.0.3-1) unstable; urgency=low

  * New upstream release.
  * Updated my email address
  * Switch to 3.0 (quilt) source format
  * debian/watch: check from upstream git instead of LP, since upstream
    tarball gets created automatically there on tagging.
  * debian/control:
    + Bumped Standards-Version to 3.8.4, no changes needed.
    + Added DM-Upload-Allowed field.
  * Added patch translations.diff from upstream git to update translations.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Fri, 04 Jun 2010 16:29:17 +0300

islamic-menus (1.0.2-1) unstable; urgency=low

  [ Mehdi Dogguy ]
  * Fix maintainer's address

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * New upstream release.
  * Mention islamic.menu & Islamic-Software.directory.in in copyright
    file.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Tue, 05 Jan 2010 18:38:48 +0200

islamic-menus (1.0.1-1) unstable; urgency=low

  * Initial release (Closes: #561773) (LP: #493825)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 20 Dec 2009 11:49:56 +0200

=== debian/control ===
Source: islamic-menus
Section: misc
Priority: optional
Maintainer: Debian Islamic Maintainers <debian-islamic-maintainers@lists.alioth.debian.org>
Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7), intltool
Standards-Version: 3.8.4
Homepage: https://launchpad.net/islamic-menu
Vcs-Git: git://git.debian.org/git/debian-islamic/packages/islamic-menus.git
Vcs-Browser: http://git.debian.org/?p=debian-islamic/packages/islamic-menus.git

Package: islamic-menus
Architecture: all
Depends: ${misc:Depends}
Conflicts: sabily (<< 1.1~ppa14)
Description: Islamic menu categories for applications under GNOME and KDE
 This package installs desktop menus for grouping Islamic applications on
 GNOME, KDE and other XDG menu-spec compliant desktop environments.

## islamic-menus 1.0.4

=== debian/changelog ===
islamic-menus (1.0.4-1) unstable; urgency=low

  * New upstream release.
  * Removed translations.diff patch, as it got applied upstream.
  * debian/control:
    + Bumped Standards-Version to 3.9.2
    + Changed Conflicts to Breaks
  * Bumped compat level to 8

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Thu, 09 Jun 2011 22:46:49 +0200

=== debian/control ===
Source: islamic-menus
Section: misc
Priority: optional
Maintainer: Debian Islamic Maintainers <debian-islamic-maintainers@lists.alioth.debian.org>
Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 8), intltool
Standards-Version: 3.9.2
Homepage: https://launchpad.net/islamic-menu
Vcs-Git: git://git.debian.org/git/debian-islamic/packages/islamic-menus.git
Vcs-Browser: http://git.debian.org/?p=debian-islamic/packages/islamic-menus.git

Package: islamic-menus
Architecture: all
Depends: ${misc:Depends}
Breaks: sabily (<< 1.1~ppa14)
Description: Islamic menu categories for applications under GNOME and KDE
 This package installs desktop menus for grouping Islamic applications on
 GNOME, KDE and other XDG menu-spec compliant desktop environments.

## islamic-menus 1.0.5

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,9 @@
 
 install: all
 	$(INSTALL) -d $(sysconfdir)/xdg/menus/applications-merged/
+	$(INSTALL) -d $(sysconfdir)/xdg/menus/applications-gnome-merged/
 	$(INSTALL) -m 0644 islamic.menu $(sysconfdir)/xdg/menus/applications-merged/
+	$(INSTALL) -m 0644 islamic.menu $(sysconfdir)/xdg/menus/applications-gnome-merged/
 	$(INSTALL) -d $(datadir)/desktop-directories/
 	$(INSTALL) -m 0644 *.directory  $(datadir)/desktop-directories
 	# Install icons

=== po/Makefile ===
POTFILE=$(shell cat POTFILES.in)
SOURCES=$(addprefix ../, $(POTFILE))

all: $(wildcard *.po)

islamic-menus.pot: $(SOURCES)
	intltool-update -g islamic-menus -p

%.po: islamic-menus.pot
	intltool-update -g islamic-menus -d $*

=== debian/changelog ===
islamic-menus (1.0.5-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update Vcs-* headers to use salsa repository.

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * Update copyright years
  * Update standards version to 4.5.0
  * Add Rules-Requires-Root: no
  * Remove empty whitespace

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon, 27 Jan 2020 16:32:23 +0100

islamic-menus (1.0.5-2) unstable; urgency=medium

  * Update watch file to new URL
  * Remove obsolete DMUA field
  * Update Standards-Version to 4.1.1
  * Change Vcs-* fields to secure canonical URLs
  * Bumped compat level to 10
  * Update my email address

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Wed, 11 Oct 2017 04:42:12 +0200

islamic-menus (1.0.5-1) unstable; urgency=low

  * New upstream release.
  * Bumped Standards-Version to 3.9.3
  * Bumped compat level to 9.
  * debian/control: Update copyright format & years.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Mon, 19 Mar 2012 11:58:22 +0200

=== debian/control ===
Source: islamic-menus
Section: misc
Priority: optional
Maintainer: Debian Islamic Maintainers <debian-islamic-maintainers@lists.alioth.debian.org>
Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
Build-Depends: debhelper-compat (= 12), intltool
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://launchpad.net/islamic-menu
Vcs-Git: https://salsa.debian.org/islamic-team/islamic-menus.git
Vcs-Browser: https://salsa.debian.org/islamic-team/islamic-menus

Package: islamic-menus
Architecture: all
Depends: ${misc:Depends}
Breaks: sabily (<< 1.1~ppa14)
Description: Islamic menu categories for applications under GNOME and KDE
 This package installs desktop menus for grouping Islamic applications on
 GNOME, KDE and other XDG menu-spec compliant desktop environments.

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/islamic-menus-$1\.tar\.gz/ \
  https://github.com/ojuba-org/islamic-menus/releases /ojuba-org/islamic-menus/archive/(.*)\.tar\.gz
